function [a,fi,fip]=sosfadeli_firststep(N,M)
%function [a,fi,fip]=sosfadeli_firststep(N,M)
% N numero oscillatori del simulatore per canale
% M numero canali
%
% questa funzione genera le fasi iniziali per il simulatore di fading
% Simulatore di canale affetto da Fading con il metodo SOS, Li TR-COM 2002, p.1503 (sum-of-sinusoid)
No=N/4;

% calcolo delle fasi casuali

a00=pi/2/M/N;
for k=1:M 
   for n=1:No
      a(n,k)=2*pi*(n-1)/N+2*pi*(k-1)/N/M+a00; 
      fi(n,k)=2*pi*rand(1,1);
      fip(n,k)=2*pi*rand(1,1);
   end
end 
